Summary: Cluster extenstions for userland logical volume management tools 
Name: lvm2-cluster
Version: 2.01.09
Release: 3.0
License: GPL
Group: System Environment/Base
URL: http://sources.redhat.com/lvm2
Source0: LVM2.%{version}.tgz
Patch0: clvmd-gulm.patch
Patch1: clvmd-init.patch
Patch2: clvmd-init-chkconfig.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: device-mapper >= 1.01
BuildRequires: libselinux-devel
BuildRequires: dlm-devel, gulm-devel, ccs-devel
Requires: lvm2 >= 2.01
ExclusiveArch: i386 ppc ppc64 x86_64
%define _exec_prefix /usr

%description
Extensions to LVM2 for clusters.

%prep
%setup -q -n LVM2.%{version}

%patch0 -p1 -b .gulm
%patch1 -p1 -b .init
%patch2 -p1 -b .chkconfig

%build
%configure --with-clvmd=all --with-cluster=shared --with-user= --with-group=
make DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install_cluster DESTDIR=$RPM_BUILD_ROOT
mkdir -p -m755 $RPM_BUILD_ROOT/etc/rc.d/init.d
install scripts/clvmd_init_rhel4 $RPM_BUILD_ROOT/etc/rc.d/init.d/clvmd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add clvmd

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del clvmd
fi

%files
%defattr(-,root,root,-)
/usr/sbin/clvmd
%{_libdir}/liblvm2clusterlock.so
%{_libdir}/liblvm2clusterlock.so.2.01
%{_mandir}/man8/clvmd.8.gz
%config /etc/rc.d/init.d/clvmd

%changelog
* Mon May 23 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-3.0
- Changed arch again, now: 'ExclusiveArch: i386 ppc ppc64 x86_64'
- Fix clvmd init script.
- Don't add it to any runlevels by default. (#157468)

* Thu Apr 21 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-2.1
- BuildRequires: dlm-devel, gulm-devel, ccs-devel
- Improve co-operation between clvmd and gulm over node state changes. [146056]
- Switch from 'ExcludeArch: s390 s390x ppc' to
  'ExclusiveArch: i386 ia64 x86_64' to match dlm dependency.

* Mon Apr 04 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-1.0
- clvmd: Don't allow user operations to start until lvm thread is fully up.
- clvmd-gulm: Set KEEPALIVE on sockets.

* Tue Mar 22 2005 Alasdair Kergon <agk@redhat.com> - 2.01.08-1.0
- Improve detection of external changes affecting internal cache.
 
* Wed Mar 16 2005 Alasdair Kergon <agk@redhat.com> - 2.01.07-2.0
- clvmd lvm_thread_lock fix.
- clvmd FDs close-on-exec
- unlock gulm VG & orphan locks at startup in case they are stale
- unlock gulm VG & orphan locks if client dies.
- Extra /dev scanning required for clustered operation.
- Various clvmd fixes.
- Added chkconfig --add & --del to start init scripts.
- clvmd startup mesgs improved; avoid gulm hang after node reboot
- clvmd startup fix; recognise gnbd; improve error reporting.
- Install the correct clvmd init script.
- Fix clvmd build.
- Include cman & gulm in same library.
- Remove cluster subdir.

* Thu Jan 27 2005 Florian La Roche <laroche@redhat.com>
- rebuild against current libs

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com> - 2.00.29-1.11
- Added init script for clvm.

* Wed Dec 15 2004 Chris Feist <cfeist@redhat.com> - 2.00.29-1.11
- Use %{_libdir} which fixes 64 bit architecture build problems.

* Wed Dec 1 2004 Alasdair Kergon <agk@redhat.com> - 2.00.29-1.2
- Remove superfluous Requires.

* Tue Nov 30 2004 Alasdair Kergon <agk@redhat.com> - 2.00.29-1.1
- Sort out most of the files.

* Tue Nov 30 2004 Alasdair Kergon <agk@redhat.com> - 2.00.29-1.0
- Initial import.
